Create Generation Suggestions
curl --request POST \
--url https://api.heybee.app/v1/experiments/{experiment_id}/generation/suggestions \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"anchor_value": "<string>",
"constraints": {
"categorical": {},
"fixed": {},
"ranges": {}
},
"count": 8,
"dedupe_window_minutes": 180,
"is_baseline": false,
"prior_strength": 500,
"seed": 123,
"strategy": "balanced"
}
'import requests
url = "https://api.heybee.app/v1/experiments/{experiment_id}/generation/suggestions"
payload = {
"anchor_value": "<string>",
"constraints": {
"categorical": {},
"fixed": {},
"ranges": {}
},
"count": 8,
"dedupe_window_minutes": 180,
"is_baseline": False,
"prior_strength": 500,
"seed": 123,
"strategy": "balanced"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({
anchor_value: '<string>',
constraints: {categorical: {}, fixed: {}, ranges: {}},
count: 8,
dedupe_window_minutes: 180,
is_baseline: false,
prior_strength: 500,
seed: 123,
strategy: 'balanced'
})
};
fetch('https://api.heybee.app/v1/experiments/{experiment_id}/generation/suggestions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"experiment_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"expires_at": "2023-11-07T05:31:56Z",
"suggestions": [
{
"parameters": {},
"reason": "<string>",
"scores": {
"expected_info_gain": 1,
"exploitation": 1,
"exploration": 1
},
"suggestion_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"acquisition": {},
"is_baseline": false,
"policy": "<string>",
"prior_strength": 123
}
]
}{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>"
}
]
}Experiments
Create Generation Suggestions
Suggest high-value next parameter configurations for sample generation scripts.
The endpoint is designed for online generation loops: request suggestions -> generate assets -> upload samples -> vote -> repeat.
POST
/
v1
/
experiments
/
{experiment_id}
/
generation
/
suggestions
Create Generation Suggestions
Authorizations
BearerAuthApiKeyAuth
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Path Parameters
Body
application/json
Request payload for next parameter suggestions.
Constraints for parameter suggestion generation.
Show child attributes
Show child attributes
Required range:
1 <= x <= 50Required range:
1 <= x <= 168Required range:
0 <= x <= 1000Available options:
balanced, explore, exploit ⌘I

